esm security updates not reported by apt update-notifier

Bug #1881632 reported by Chad Smith
268
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Undecided
Andreas Hasenack
Trusty
Undecided
Andreas Hasenack
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

[Impact]
ESM-related Security pocket packages are not reported being classified as security due to a rename in the backend apt suites from esm-security -> esm-infra-security and esm-apps-security.

[Test Case]
* Launch a trusty/xenial/bionic/focal lxd from ua-client/proposed PPA.

* Run the script that displays the motd bit about available updates:
sudo /usr/lib/update-notifier/apt-check --human-readable

* The output should be something like this, signaling there are only ESM updates available:
"""
UA Infrastructure Extended Security Maintenance (ESM) is not enabled.

0 updates can be installed immediately.
0 of these updates are security updates.

Enable UA Infrastructure ESM to receive 88 additional security updates.
See https://ubuntu.com/advantage or run: sudo ua status
"""

* Obtain an UA token for free at https://ubuntu.com/advantage

* Run attach:
sudo ua attach <token-obtained-in-previous-step>

* Confirm that esm-infra was enabled:
sudo ua status

* Run this command again to display the motd banner output about available updates:
sudo /usr/lib/update-notifier/apt-check --human-readable

* You should get something like this without the fix for this bug:
"""
UA Infrastructure Extended Security Maintenance (ESM) is enabled.

89 updates can be installed immediately.
89 of these updates are provided through UA Infrastructure ESM.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable
"""

* In the output above, which is without the fix, note how none of the available updates are flagged as security

* With the updated update-notifier package, the security updates count correctly includes the ESM security updates:
"""
UA Infrastructure Extended Security Maintenance (ESM) is enabled.

88 updates can be installed immediately.
88 of these updates are provided through UA Infrastructure ESM.
85 of these updates are security updates.
To see these additional updates run: apt list --upgradable
"""

Test Script:

#!/bin/bash
#
# SRU Verification update-notifier + ubuntu=advantage-tools
# Test procedure:
# - launch container Trusty, Xenial or Bionic
# - Install ubuntu-advantage-tools from https://launchpad.net/~ua-client/+archive/ubuntu/proposed which supports esm on trusty, xenial, bionic, and focal
# - Attach container to UA subscription (which activates the ESM APT repos
# - run apt_check --human-readable to assert ESM pkg counts ARE NOT reported
# - Upgrade update-notifier to -proposed
# - re-run apt_check --human-readable to assert ESM pkg counts ARE reported

set -e
UA_TOKEN=$1
if [ -z "$1" ]; then
 echo "Usage: $0 <contractTOKEN>"
 exit 1
fi

cat > test-un.yaml <<EOF
#cloud-config
ssh_import_id: [chad.smith]
package_update: true
package_upgrade: true
apt:
  sources:
      ua.proposed:
          source: deb http://ppa.launchpad.net/ua-client/staging/ubuntu \$RELEASE main
          keyid: 6E34E7116C0BC933
EOF

cat > setup_proposed.sh <<EOF
#/bin/bash
mirror=http://archive.ubuntu.com/ubuntu
echo deb \$mirror \$(lsb_release -sc)-proposed main | tee /etc/apt/sources.list.d/proposed.list
apt-get update -q
apt-get install -qy update-notifier-common
EOF

find_substr() {
   local needle="$1" haystack="$2"
   echo $haystack | grep -q "${needle}" && echo "SUCCESS: found ${needle}" || echo "FAILURE: did not find ${needle}"
}

dont_find_substr() {
   local needle="$1" haystack="$2"
   echo $haystack | grep -q "${needle}" && echo "FAILURE: found ${needle}" || echo "SUCCESS: did not find ${needle}"
}

wait_for_boot() {
  local vm=$1 release=$2
  echo "--- Wait for cloud-init to finish"
  sleep 5
    lxc exec ${vm} -- cloud-init status --wait --long
}

for release in focal; do
  echo "--- BEGIN $release update-notifier testing"
  vm=test-sru-$release
  echo "--- Launch cloud-init with ppa:ua-client/proposed enabled"
  lxc launch ubuntu-daily:${release} ${vm} -c user.user-data="$(cat test-un.yaml)"
  wait_for_boot ${vm} ${release}
  echo "--- Attach Ubuntu-Advantage, enabling services"
  lxc exec ${vm} -- ua attach ${UA_TOKEN}
  case "$release" in
        xenial)
            UPGRADE_MATCH="0 updates are security updates";
            downrev_pkg="libkrad0=1.13.2+dfsg-5";;
        bionic)
            UPGRADE_MATCH="1 update is a security update"
            downrev_pkg="libkrad0=1.16-2build1";;
        focal)
            UPGRADE_MATCH="0 of these updates are security updates"
            downrev_pkg="hello=2.10-2ubuntu2";;
        groovy)
            UPGRADE_MATCH="1 of these updates is a security update"
            downrev_pkg="apport-retrace=2.20.11-0ubuntu50";;
  esac
  echo "-- Downgrading package to stable ubuntu release $downrev_pkg"
  lxc exec ${vm} -- apt-get install $downrev_pkg --yes -q
  lxc exec ${vm} -- dpkg-query --show update-notifier
  if [ "$release" = "xenial" ]; then
      # Xenial-updates have already included esm package updates.
      # Drop the xenial-updates apt source so we can be sure we are seeing only
      # available esm updates
      lxc exec ${vm} -- sed -e "/xenial-updates/ s/^#*/#/" -i /etc/apt/sources.list
      lxc exec ${vm} -- sed -e "/xenial-security/ s/^#*/#/" -i /etc/apt/sources.list
      lxc exec ${vm} -- apt-get update
  fi
  MOTD=`lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable`
  echo -e ${MOTD}
  PRE_UPGRADE_MSG="UA Infrastructure Extended Security Maintenance (ESM) is enabled."
  POST_UPGRADE_MSG="UA Infra: Extended Security Maintenance (ESM) is enabled"
  find_substr "${PRE_UPGRADE_MSG}" "${MOTD}"
  dont_find_substr "${POST_UPGRADE_MSG}" "${MOTD}"
  find_substr "${UPGRADE_MATCH}" "${MOTD}"
  echo "--- Upgrade update-notifier from -proposed"
  lxc file push setup_proposed.sh ${vm}/
  lxc exec ${vm} -- bash /setup_proposed.sh | grep update-notifier
  lxc exec ${vm} -- dpkg-query --show update-notifier
  MOTD=`lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable`
  echo -e $MOTD
  find_substr "${POST_UPGRADE_MSG}" "${MOTD}"
  echo "--- Expect non-zero upgradable packages for MOTD from apt_check AFTER upgrade"
  find_substr "1 of these updates is a security update" "${MOTD}"
done

[Regression Potential]
The fix is replacing the old incorrect name (<distro>-security) of the ESM security pocket with the correct one (<distro>-infra-security). The old name came from the old ubuntu-advantage-tools bash client, version 10. If this name remains incorrect, the security update coming from ESM won't be counted, which is exactly this bug. So the regression potential in this one liner is that it remains uncounted.

[Other Info]
Instead of fixing the pocket's name, we could have *added* a new pocket with the current correct name, since the server part of ESM responds to both trusty-security and trusyt-infra-security (with origin UbuntuESM).

The reasons we didn't do that are:
- only the old bash client (version 10) used the old pocket name, and it's not available for trusty anymore (unless you go to https://launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+publishinghistory and fetch it)
- there was a concern about potentially counting updates twice, if both trusty-security and trusty-infra-security were enabled at the same time
- the upgrade from the bash client (v10) to the current client DOES NOT change the pocket name in the sources.list snippet for ESM, so in that brief moment after an upgrade and before a reattach, the count would be zero just like in this bug. HOWEVER, it's a known process that after upgrading from the bash client to the current one, the machine has to be attached again. See the last paragraph of the description in https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1832757, which is when the non-bash client was SRUed, reproduced below:
"""
On an upgrade, existing users of trusty esm are expected to run "sudo ua attach [<token>]", although not doing it won't disable their existing ESM access. The new ua tool just won't recognize esm as being active in its "ua status" output until the attach operation is complete. The same applies to livepatch, if it was enabled before.
"""
The process of attaching will rewrite the pocket name in the local sources.list file snippet from trusty-security to trusty-infra-security.

Finally, this update is for trusty only. Xenial doesn't have ESM yet, and updating update-notifier there would be an useless download for users, with a regression risk for no benefit.

[Original Description]

ESM-related Security pocket packages are not reported being classified as security due to a rename in the backend apt suites from esm-security -> esm-infra-security and esm-apps-security.

The customer issue reported catches the symptom well:

"""

I believe there's a problem with "apt_check.py" in the "update-notifier-common" package when using "ua". I have enabled "ua" via "ua attach" and yet "apt-check" shows updates, but does not specify they are security updates, even though they are:
mrussell@deputy:~$ /usr/lib/update-notifier/apt-check --human-readable
UA Infrastructure Extended Security Maintenance (ESM) is enabled.

8 updates can be installed immediately.
8 of these updates are provided through UA Infrastructure ESM.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable

Note, these are the packages:
mrussell@deputy:~$ apt list --upgradable
Listing... Done
apt/trusty-infra-security 1.0.1ubuntu2.24+esm1 amd64 [upgradable
from: 1.0.1ubuntu2.24]
apt-transport-https/trusty-infra-security 1.0.1ubuntu2.24+esm1 amd64 [upgradable from: 1.0.1ubuntu2.24]
apt-utils/trusty-infra-security 1.0.1ubuntu2.24+esm1 amd64 [upgradable from: 1.0.1ubuntu2.24]
libapt-inst1.5/trusty-infra-security 1.0.1ubuntu2.24+esm1 amd64 [upgradable from: 1.0.1ubuntu2.24]
libapt-pkg4.12/trusty-infra-security 1.0.1ubuntu2.24+esm1 amd64 [upgradable from: 1.0.1ubuntu2.24]
libjson-c2/trusty-infra-security 0.11-3ubuntu1.2+esm3 amd64 [upgradable from: 0.11-3ubuntu1.2+esm2]
libjson0/trusty-infra-security 0.11-3ubuntu1.2+esm3 amd64 [upgradable from: 0.11-3ubuntu1.2+esm2]

If I change "isSecurityUpgrade()" to also include this
value in "security_pockets": ("UbuntuESM", "%s-infra-security" % DISTRO),
then, the output is correct:
mrussell@deputy:~$ /usr/lib/update-notifier/apt-check --human-readable
UA Infrastructure Extended Security Maintenance (ESM) is enabled.

8 updates can be installed immediately.
8 of these updates are provided through UA Infrastructure ESM.
8 of these updates are security updates.
To see these additional updates run: apt list --upgradable
"""

Related branches

Revision history for this message
Chad Smith (chad.smith) wrote :

Patch suggestion to ensure both ESM Apps and ESM Infra security pockets are properly classified as security type updates

ESM infra pocket: esm-infra-security
ESM apps pocket: esm-apps-security

Chad Smith (chad.smith)
information type: Public → Private Security
Chad Smith (chad.smith)
information type: Private Security → Public Security
tags: added: patch
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-notifier (Ubuntu):
status: New → Confirmed
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

I guess this needs to go all the way back to trusty, right?

tags: added: rls-gg-incoming
Revision history for this message
Mark Morlino (markmorlino) wrote :

yes, all the way back to trusty.

Revision history for this message
Mark Morlino (markmorlino) wrote :

I can upload the fix to trusty ESM. Should the other releases go to the -security or the -updates pocket?

Revision history for this message
Julian Andres Klode (juliank) wrote :

Patch looks good to me, does it need sponsoring?

We released other ESM enablement fixes via -updates, so this probably does not need pushing via security.

Revision history for this message
Mark Morlino (markmorlino) wrote :

yes, needs sponsoring.

And actually, it looks like there have also been a few other updates to update-notifier that went to -updates for trusty even after standard support ended. They appear to have been similarly dealing with how it reports ESM updates. Perhaps I was wrong in my previous comment and it makes more sense to publish this in -updates for trusty instead of trusty/esm?

Revision history for this message
Andreas Hasenack (ahasenack) wrote :

Note that this bit needs to be ESM_ORIGINS, not esm_origins:

@@ -58,7 +61,7 @@ def isSecurityUpgrade(ver):
 def isESMUpgrade(ver):
     " check if the given version is a security update (or masks one) "
     for (file, index) in ver.file_list:
- if file.origin == "UbuntuESM" and file.archive.startswith(DISTRO):
+ if file.origin in esm_origins and file.archive.startswith(DISTRO):
             return True
     return False

Revision history for this message
Andreas Hasenack (ahasenack) wrote :

There are other ESM changes done to the trusty package which have never been SRUed to the later ubuntu releases :/

Changed in update-notifier (Ubuntu):
assignee: nobody → Andreas Hasenack (ahasenack)
status: Confirmed → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.32

---------------
update-notifier (3.192.32) groovy; urgency=medium

  [ Chad Smith ]
  * data/apt_check.py: Update ESM security pockets names (LP: #1881632)
    - the UbuntuESM pocket was renamed from <distro>-security to
      <distro>-infra-security
    - new origin UbuntuESMApps, with a corresponding pocket of
      <distro>-apps-security

 -- Andreas Hasenack <email address hidden> Fri, 12 Jun 2020 11:21:25 -0300

Changed in update-notifier (Ubuntu):
status: In Progress → Fix Released
description: updated
description: updated
Changed in update-notifier (Ubuntu Trusty):
status: New → In Progress
assignee: nobody → Andreas Hasenack (ahasenack)
Revision history for this message
Andreas Hasenack (ahasenack) wrote :

By checking an update against ESM_ORIGINS, the current patch is aggregating esm security updates for both infra and apps, but the output summary at the end is explicit about infra:

"""
3 of these updates are provided through UA Infrastructure ESM.
"""

We should either count them separately, and issue separate sentences, or, as I would prefer, just remove "Infrastructure" from the sentence above. That avoids increasing the MOTD size by one line.

description: updated
description: updated
description: updated
Revision history for this message
Andreas Hasenack (ahasenack) wrote :

I uploaded the fixed package to the SRU queue.

Revision history for this message
Steve Langasek (vorlon) wrote : Proposed package upload rejected

An upload of update-notifier to trusty-proposed has been rejected from the upload queue for the following reason: "trusty is closed for SRUs unless absolutely required; should go to the ESM archive instead".

Revision history for this message
Andreas Hasenack (ahasenack) wrote :

This is available in trusty esm now:

  Version table:
     0.154.1ubuntu9 0
        500 https://esm.ubuntu.com/ubuntu/ trusty-infra-security/main amd64 Packages

Closing bug.

Changed in update-notifier (Ubuntu Trusty):
status: In Progress → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Already asked on IRC, but re-asking here for documentation purposes: how would it be tested for all the non-trusty series? Since the test case mentions using a trusty lxd to perform the tests. Is it possible to perform the same testing steps on xenial, bionic or focal (since we don't have ESM for those)? If not, what would be the acceptance criteria for this to be verified on those series?

Revision history for this message
Chad Smith (chad.smith) wrote :

Thanks again Łukasz,
I've updated the test script on this bug. We have a ppa:ua-client/proposed which does support trusty, xenial, bionic and focal which will allow us to exercise this changeset.

description: updated
Revision history for this message
Chris Halse Rogers (raof) wrote : Please test proposed package

Hello Chad, or anyone else affected,

Accepted update-notifier into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.168.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-notifier (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chad, or anyone else affected,

Accepted update-notifier into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.192.1.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-notifier (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Changed in update-notifier (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Chris Halse Rogers (raof) wrote :

Hello Chad, or anyone else affected,

Accepted update-notifier into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.192.30.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (update-notifier/3.192.1.8)

All autopkgtests for the newly accepted update-notifier (3.192.1.8) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

update-notifier/3.192.1.8 (armhf, ppc64el, s390x, i386, amd64, arm64)
update-manager/1:18.04.11.13 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#update-notifier

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (update-notifier/3.168.11)

All autopkgtests for the newly accepted update-notifier (3.168.11) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

update-notifier/3.168.11 (armhf, i386, arm64, amd64, s390x, ppc64el)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#update-notifier

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Chad Smith (chad.smith) wrote :

--- BEGIN focal update-notifier testing
--- Launch cloud-init with ppa:ua-client/proposed enabled
Creating test-sru-focal
Starting test-sru-focal
--- Wait for cloud-init to finish
..............................................................................................................................................................
status: done
time: Mon, 30 Nov 2020 20:19:32 +0000
detail:
DataSourceNoCloud [seed=/var/lib/cloud/seed/nocloud-net][dsmode=net]
--- Attach Ubuntu-Advantage, enabling services
Enabling default service esm-infra
Updating package lists
ESM Infra enabled
This machine is now attached to '<email address hidden>'

SERVICE ENTITLED STATUS DESCRIPTION
esm-infra yes enabled UA Infra: Extended Security Maintenance (ESM)
livepatch yes n/a Canonical Livepatch service

Enable services with: ua enable <service>

     Account: <email address hidden>
Subscription: <email address hidden>
--- Install a downgraded hello package which ESM-focal delivers
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
The following NEW packages will be installed:
  hello
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 28.2 kB of archives.
After this operation, 115 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu focal/main amd64 hello amd64 2.10-2ubuntu2 [28.2 kB]
Fetched 28.2 kB in 1s (47.2 kB/s)
Selecting previously unselected package hello.
(Reading database ... 31579 files and directories currently installed.)
Preparing to unpack .../hello_2.10-2ubuntu2_amd64.deb ...
Unpacking hello (2.10-2ubuntu2) ...
Setting up hello (2.10-2ubuntu2) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for install-info (6.7.0.dfsg.2-5) ...
--- Expect 0 upgradable packages for MOTD from apt_check before upgrade
UA Infrastructure Extended Security Maintenance (ESM) is enabled.

1 update can be installed immediately.
1 of these updates is provided through UA Infrastructure ESM.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable
0 of these updates are security updates.
SUCCESS: found 0 ESM security updates pre-upgrade
--- Upgrade update-notifier from -proposed
  update-notifier-common
Get:1 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 update-notifier-common all 3.192.30.1 [162 kB]
dpkg-preconfigure: unable to re-open stdin: No such file or directory
Preparing to unpack .../update-notifier-common_3.192.30.1_all.deb ...
Unpacking update-notifier-common (3.192.30.1) over (3.192.30) ...
Setting up update-notifier-common (3.192.30.1) ...
--- Expect non-zero upgradable packages for MOTD from apt_check AFTER upgrade
1 of these updates is a security update.
SUCCESS: found 1 ESM security updates pre-upgrade

description: updated
tags: added: verification-done-focal
removed: verification-needed-focal
Chad Smith (chad.smith)
tags: added: verification-failed verification-failed-bionic verification-failed-focal verification-failed-xenial
removed: verification-done-focal verification-needed verification-needed-bionic verification-needed-xenial
Revision history for this message
Chad Smith (chad.smith) wrote :

Marking this bug as verification failed because both Xenial and Bionic introduced autopkgtest failures due to a new pep8 linting test that was included.

Decided to reject Focal as well even though verification tests passed because we have an APT URL fix that still needs to SRU into Focal and we don't want to force 2 SRUs for Focal if we can combine the changeset into a single SRU.

./tmp/autopkgtest.wN63go/build.IFg/src/tests/../data/apt_check.py:157:21: W503 line break before binary operator ....

Rejecting:

xenial: update-notifier/3.168.11
   - autopkg logs: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/amd64/u/update-notifier/20201016_043912_51752@/log.gz

bionic: update-notifier/3.192.1.8
    - autopkg failures: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/u/update-notifier/20201016_045656_8c126@/log.gz

focal: update-notifier/3.192.30.1
  - rejected to reduce SRU thrashing because a followup will be provided today.

Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello Chad, or anyone else affected,

Accepted update-notifier into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.192.30.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-focal
removed: verification-failed verification-failed-focal
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Chad, or anyone else affected,

Accepted update-notifier into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.192.1.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-bionic
removed: verification-failed-bionic
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Chad, or anyone else affected,

Accepted update-notifier into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.168.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-xenial
removed: verification-failed-xenial
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (update-notifier/3.192.1.8)

All autopkgtests for the newly accepted update-notifier (3.192.1.8) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

update-manager/1:18.04.11.13 (armhf)
update-notifier/3.192.1.8 (armhf, ppc64el, s390x, amd64, arm64, i386)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#update-notifier

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (update-notifier/3.168.11)

All autopkgtests for the newly accepted update-notifier (3.168.11) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

update-notifier/3.168.11 (armhf, arm64, i386, ppc64el, s390x, amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#update-notifier

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (update-notifier/3.168.12)

All autopkgtests for the newly accepted update-notifier (3.168.12) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

update-notifier/3.168.12 (ppc64el, amd64, arm64, s390x, armhf, i386)
update-manager/1:16.04.17 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#update-notifier

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Mathew Hodson (mhodson) wrote :

Removed from focal-proposed

Changed in update-notifier (Ubuntu Focal):
status: Fix Committed → Triaged
tags: removed: verification-needed verification-needed-focal
Revision history for this message
Chad Smith (chad.smith) wrote :

Validated for bionic. Held up SRU verification while awaiting an upload acceptance into xenial-proposed due to autopkgtest failures on xenial which pre-existed this SRU.

I can perform up xenial testing once v. 3.168.13 is accepted for testing in -proposed
https://launchpad.net/ubuntu/xenial/+queue?queue_state=1&queue_text=update-notifier

Revision history for this message
Chad Smith (chad.smith) wrote :
Download full text (3.8 KiB)

Bionic verification success results here:

--- BEGIN bionic update-notifier testing
--- Launch cloud-init with ppa:ua-client/proposed enabled
Creating test-sru-bionic
Starting test-sru-bionic
--- Wait for cloud-init to finish
......................................................................................................................................
status: done
time: Sat, 19 Dec 2020 04:49:05 +0000
detail:
DataSourceNoCloud [seed=/var/lib/cloud/seed/nocloud-net][dsmode=net]
--- Attach Ubuntu-Advantage, enabling services
Enabling default service esm-infra
Updating package lists
ESM Infra enabled
A reboot is required to complete install
This machine is now attached to '<email address hidden>'

SERVICE ENTITLED STATUS DESCRIPTION
esm-infra yes enabled UA Infra: Extended Security Maintenance (ESM)
livepatch yes n/a Canonical Livepatch service

Enable services with: ua enable <service>

     Account: <email address hidden>
Subscription: <email address hidden>
-- Downgrading package to stable ubuntu release libkrad0=1.16-2build1
Reading package lists...
Building dependency tree...
Reading state information...
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
The following additional packages will be installed:
  libverto-libevent1 libverto1
The following NEW packages will be installed:
  libkrad0 libverto-libevent1 libverto1
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 36.3 kB of archives.
After this operation, 214 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic/main amd64 libverto-libevent1 amd64 0.2.4-2.1ubuntu3 [5796 B]
Get:2 http://archive.ubuntu.com/ubuntu bionic/main amd64 libverto1 amd64 0.2.4-2.1ubuntu3 [9090 B]
Get:3 http://archive.ubuntu.com/ubuntu bionic/main amd64 libkrad0 amd64 1.16-2build1 [21.4 kB]
Fetched 36.3 kB in 1s (43.7 kB/s)
Selecting previously unselected package libverto-libevent1:amd64.
(Reading database ... 28800 files and directories currently installed.)
Preparing to unpack .../libverto-libevent1_0.2.4-2.1ubuntu3_amd64.deb ...
Unpacking libverto-libevent1:amd64 (0.2.4-2.1ubuntu3) ...
Selecting previously unselected package libverto1:amd64.
Preparing to unpack .../libverto1_0.2.4-2.1ubuntu3_amd64.deb ...
Unpacking libverto1:amd64 (0.2.4-2.1ubuntu3) ...
Selecting previously unselected package libkrad0:amd64.
Preparing to unpack .../libkrad0_1.16-2build1_amd64.deb ...
Unpacking libkrad0:amd64 (1.16-2build1) ...
Setting up libverto-libevent1:amd64 (0.2.4-2.1ubuntu3) ...
Setting up libverto1:amd64 (0.2.4-2.1ubuntu3) ...
Setting up libkrad0:amd64 (1.16-2build1) ...
Processing triggers for libc-bin (2.27-3ubuntu1.4) ...
update-notifier
1 package can be updated. 1 update is a security update.
SUCCESS: did not find UA Infra: Extended Security Maintenance (ESM) is enabled
SUCCESS: found 1 update is a security update security updates pre-upgrade
--- Upgrade update-notifier from -proposed
  update-notifier-common
Get:1 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 update-notifier-common all 3.192.1.9 [132 kB]
dpkg-precon...

Read more...

description: updated
tags: added: verification-done-bionic
removed: verification-needed-bionic
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello Chad, or anyone else affected,

Accepted update-notifier into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.168.13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (update-notifier/3.168.13)

All autopkgtests for the newly accepted update-notifier (3.168.13) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

update-manager/1:16.04.17 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#update-notifier

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Chad Smith (chad.smith) wrote :

Per auto-comment #34 autopkg test looked to be an intermittent unrelated failure, we rekicked the autopkgtest job.

Revision history for this message
Chad Smith (chad.smith) wrote :
Download full text (4.5 KiB)

And finally successful xenial results (which required dropping xenial-updates and xenial-security from apt sources because those pockets contain a greater pkg version than what esm currently delivers for libkrad0.

--- BEGIN xenial update-notifier testing
--- Launch cloud-init with ppa:ua-client/proposed enabled
Creating test-sru-xenial
Starting test-sru-xenial
--- Wait for cloud-init to finish
.......................................................................
status: done
time: Sun, 27 Dec 2020 21:46:17 +0000
detail:
DataSourceNoCloud [seed=/var/lib/cloud/seed/nocloud-net][dsmode=net]
--- Attach Ubuntu-Advantage, enabling services
Enabling default service esm-infra
Updating package lists
ESM Infra enabled
This machine is now attached to '<email address hidden>'

SERVICE ENTITLED STATUS DESCRIPTION
esm-infra yes enabled UA Infra: Extended Security Maintenance (ESM)
livepatch yes n/a Canonical Livepatch service

Enable services with: ua enable <service>

     Account: <email address hidden>
Subscription: <email address hidden>
-- Downgrading package to stable ubuntu release libkrad0=1.13.2+dfsg-5
Reading package lists...
Building dependency tree...
Reading state information...
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
The following additional packages will be installed:
  libverto-libevent1 libverto1
The following NEW packages will be installed:
  libkrad0 libverto-libevent1 libverto1
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 36.1 kB of archives.
After this operation, 207 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 libverto-libevent1 amd64 0.2.4-2.1ubuntu2 [5742 B]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 libverto1 amd64 0.2.4-2.1ubuntu2 [9132 B]
Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libkrad0 amd64 1.13.2+dfsg-5 [21.3 kB]
Fetched 36.1 kB in 0s (49.7 kB/s)
Selecting previously unselected package libverto-libevent1:amd64.
(Reading database ... 25866 files and directories currently installed.)
Preparing to unpack .../libverto-libevent1_0.2.4-2.1ubuntu2_amd64.deb ...
Unpacking libverto-libevent1:amd64 (0.2.4-2.1ubuntu2) ...
Selecting previously unselected package libverto1:amd64.
Preparing to unpack .../libverto1_0.2.4-2.1ubuntu2_amd64.deb ...
Unpacking libverto1:amd64 (0.2.4-2.1ubuntu2) ...
Selecting previously unselected package libkrad0:amd64.
Preparing to unpack .../libkrad0_1.13.2+dfsg-5_amd64.deb ...
Unpacking libkrad0:amd64 (1.13.2+dfsg-5) ...
Processing triggers for libc-bin (2.23-0ubuntu11.2) ...
Setting up libverto-libevent1:amd64 (0.2.4-2.1ubuntu2) ...
Setting up libverto1:amd64 (0.2.4-2.1ubuntu2) ...
Setting up libkrad0:amd64 (1.13.2+dfsg-5) ...
Processing triggers for libc-bin (2.23-0ubuntu11.2) ...
update-notifier
Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://ppa.launchpad.net/ua-client/staging/ubuntu xenial InRelease
Hit:3 http://archive.ubuntu.com/ubuntu xenial-backports InRelease
Get:4 https://esm.ubuntu.com/infra/ubuntu xenial-infra-security In...

Read more...

description: updated
tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Revision history for this message
Chad Smith (chad.smith) wrote :
Download full text (3.3 KiB)

Focal verification complete. security updates from esm security pocket are properly calculated now.
--- BEGIN focal update-notifier testing
--- Launch cloud-init with ppa:ua-client/proposed enabled
Creating test-sru-focal
Starting test-sru-focal
--- Wait for cloud-init to finish
................................................................................................................................
status: done
time: Tue, 05 Jan 2021 17:00:21 +0000
detail:
DataSourceNoCloud [seed=/var/lib/cloud/seed/nocloud-net][dsmode=net]
--- Attach Ubuntu-Advantage, enabling services
Enabling default service esm-infra
Updating package lists
ESM Infra enabled
This machine is now attached to '<email address hidden>'

SERVICE ENTITLED STATUS DESCRIPTION
esm-infra yes enabled UA Infra: Extended Security Maintenance (ESM)
livepatch yes n/a Canonical Livepatch service

Enable services with: ua enable <service>

     Account: <email address hidden>
Subscription: <email address hidden>
-- Downgrading package to stable ubuntu release hello=2.10-2ubuntu2
Reading package lists...
Building dependency tree...
Reading state information...
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
The following NEW packages will be installed:
  hello
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 28.2 kB of archives.
After this operation, 115 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu focal/main amd64 hello amd64 2.10-2ubuntu2 [28.2 kB]
Fetched 28.2 kB in 1s (40.3 kB/s)
Selecting previously unselected package hello.
(Reading database ... 31583 files and directories currently installed.)
Preparing to unpack .../hello_2.10-2ubuntu2_amd64.deb ...
Unpacking hello (2.10-2ubuntu2) ...
Setting up hello (2.10-2ubuntu2) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for install-info (6.7.0.dfsg.2-5) ...
update-notifier
UA Infrastructure Extended Security Maintenance (ESM) is enabled. 1 update can be installed immediately. 1 of these updates is provided through UA Infrastructure ESM. 0 of these updates are security updates. To see these additional updates run: apt list --upgradable
SUCCESS: found UA Infrastructure Extended Security Maintenance (ESM) is enabled.
SUCCESS: did not find UA Infra: Extended Security Maintenance (ESM) is enabled
SUCCESS: found 0 of these updates are security updates
--- Upgrade update-notifier from -proposed
  update-notifier-common
Get:1 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 update-notifier-common all 3.192.30.3 [130 kB]
dpkg-preconfigure: unable to re-open stdin: No such file or directory
Preparing to unpack .../update-notifier-common_3.192.30.3_all.deb ...
Unpacking update-notifier-common (3.192.30.3) over (3.192.30) ...
Setting up update-notifier-common (3.192.30.3) ...
update-notifier
UA Infra: Extended Security Maintenance (ESM) is enabled. 9 updates can be installed immediately. 1 of these updates is fixed through UA Infra: ESM. 1 of these updates is a security update. To see these additional updates run: apt list --upgra...

Read more...

description: updated
tags: added: verification-done-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.168.13

---------------
update-notifier (3.168.13) xenial; urgency=medium

  * Fix pep8 autopkgtest failures in the right control file (LP: #1906436)
    - d/control: remove pep8 from Build-Depends as no tests run by
      override_dh_auto_test use pep8.
    - d/tests/control: add pep8 to Depends as it is only used by
      python-based autopkgtests via subprocess in test_motd.py.
    - d/tests/test_package-data-downloader.py: mock subprocess calls to
      apt-helper for expected failure tests to avoid emitting error messages
      to console

update-notifier (3.168.12) xenial; urgency=medium

  * data/apt_check.py: Update UA Infra: ESM product name and doc url
    (LP: #1901627)
    - data/apt_check.py: Update name and URL
    - tests/test_motd.py: adapt unittests to match new behavior
    - po/*.po: translation files with intltool-update -r
  * Fix pep8 autopkgtest failures (LP: 1906436)
    - d/control: add expilicit pep8 build-requires dependency
    - data/apt_check.py: fix over-indent pep8 errors
    - data/apt_check & data/backend_helper: resolve underindent pep8 issues
      backport of 9e0f7ee50 [ Brian Murray ]
    - data/apt_check.py, data/package-data-downloader, tests/test_pep8.py:
      + update the code formating to be not hit W504 warnings,
        change to ignore W503 and be consistent with update-manager.
        [ Andrea Azzarone ]
    - INSTALL, data/hooks.py, tests/test_package-data-downloader.py:
      Fix E117 over-indented pep issues. [ Gianfranco Costamagna ]

update-notifier (3.168.11) xenial; urgency=medium

  [ Julian Andres Klode ]
  * Handle missing cases of LP: #1822340, where we told people ESM is not
    enabled, but not how to enable it.
  * Fix multiple disabled ESM repositories being counted as enabled ones.

  [ Brian Murray ]
  * data/apt_check.py: modify wording and output regarding ESM support.
    (LP: #1842508)

  [ Andreas Hasenack ]
  * data/apt_check.py: Update ESM security pockets names (LP: #1881632)
    - the UbuntuESM pocket was renamed from <distro>-security to
      <distro>-infra-security
    - new origin UbuntuESMApps, with a corresponding pocket of
      <distro>-apps-security

 -- Chad Smith <email address hidden> Thu, 10 Dec 2020 14:40:50 -0700

Changed in update-notifier (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for update-notifier has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.1.9

---------------
update-notifier (3.192.1.9) bionic; urgency=medium

  * data/apt_check.py: Update UA Infra: ESM product name and doc url
    (LP: #1901627)
    - data/apt_check.py: Update name and URL
    - tests/test_motd.py: adapt unittests to match new behavior
    - po/*.po: translation files with intltool-update -r
  * Fix pep8/pyflakes autopkgtest failures (LP: #1906436)
    - d/control: add explicit pep8 build-requires dependency
    - test_motd.py: remove unused imports
    - pyflakes: data/backend_helper fix unittests for unreferenced
      variables
    - data/apt_check & data/backend_helper: resolve underindent pep8 issues
      backport of 9e0f7ee50 [ Brian Murray ]
    - data/apt_check.py, data/package-data-downloader, tests/test_pep8.py:
      + update the code formating to be not hit W504 warnings,
        change to ignore W503 and be consistent with update-manager.
        [ Andrea Azzarone ]
    - INSTALL, data/hooks.py, tests/test_package-data-downloader.py:
      Fix E117 over-indented pep issues. [ Gianfranco Costamagna ]
    - test_motd.py: Remove unused imports [ Julian Andres Klode ]
    - pyflakes: data/backend_helper fix unittests for unreferenced variables

update-notifier (3.192.1.8) bionic; urgency=medium

  [ Andreas Hasenack ]
  * data/apt_check.py: Update ESM security pockets names (LP: #1881632)
    - the UbuntuESM pocket was renamed from <distro>-security to
      <distro>-infra-security
    - new origin UbuntuESMApps, with a corresponding pocket of
      <distro>-apps-security

  [ Brian Murray ]
  * data/apt_check.py: modify wording and output regarding ESM support.
    (LP: #1842508)

  [ Julian Andres Klode ]
  * Handle missing cases of LP: #1822340, where we told people ESM is not
    enabled, but not how to enable it.
  * Fix multiple disabled ESM repositories being counted as enabled ones.

 -- Chad Smith <email address hidden> Mon, 30 Nov 2020 14:25:35 -0700

Changed in update-notifier (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers